## corosync 2.3.4

=== debian/changelog ===
corosync (2.3.4-0ubuntu1) vivid; urgency=medium

  * New upstream point release.
  * d/watch: Switch to clusterlabs build server for upstream releases.
  * d/control: Bumped Standards-Version t0 3.9.6, no changes.
  * d/control,libvotequorum7.install: Bump ABI level to 7, update for
    minimal self transition.
  * d/corosync.docs: Drop TODO from install, removed upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 09 Feb 2015 14:00:12 +0000
