=== debian/control ===
Source: corosync
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>, Guido Günther <agx@sigxcpu.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>> 5), libnss3-dev, pkg-config, groff, libqb-dev, librdmacm-dev, libibverbs-dev, libxml2-dev, libaugeas-dev, zlib1g-dev, chrpath, libstatgrab-dev, hardening-wrapper, libdbus-1-dev, dh-autoreconf
Vcs-Git: git://git.debian.org/debian-ha/corosync.git
Vcs-Browser: http://git.debian.org/?p=debian-ha/corosync.git;a=summary

Package: corosync
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), libcfg6 (= ${binary:Version}), libcmap4 (= ${binary:Version}), libcorosync-common4 (= ${binary:Version}), libcpg4 (= ${binary:Version}), libquorum5 (= ${binary:Version}), libsam4 (= ${binary:Version}), libtotem-pg5 (= ${binary:Version}), libvotequorum7 (= ${binary:Version}), adduser
Conflicts: openais (<< 0.85), openais-legacy (<< 1.0.0)
Description: Standards-based cluster framework (daemon and modules)
 The corosync project is a project to implement a production quality
 "Revised BSD" licensed implementation of all core functionalities
 required by openais. The project implements cutting edge research
 on virtual synchrony to provide 100% correct operation in the face of
 failures or partitionable networks with excellent performance
 characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package contains the corosync daemon and modules.

Package: corosync-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcfg6 (= ${binary:Version}), libcmap4 (= ${binary:Version}), libcorosync-common4 (= ${binary:Version}), libcpg4 (= ${binary:Version}), libquorum5 (= ${binary:Version}), libsam4 (= ${binary:Version}), libtotem-pg5 (= ${binary:Version}), libvotequorum7 (= ${binary:Version})
Description: Standards-based cluster framework (debugging symbols)
 The corosync project is a project to implement a production quality
 "Revised BSD" licensed implementation of all core functionalities
 required by openais. The project implements cutting edge research
 on virtual synchrony to provide 100% correct operation in the face of
 failures or partitionable networks with excellent performance
 characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package contains the debug information.

Package: corosync-dev
Section: oldlibs 
Priority: extra
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}, libcorosync-common-dev (= ${binary:Version})
Description: Standards-based cluster framework (transitional package)
 The corosync project is a project to implement a production quality
 "Revised BSD" licensed implementation of all core functionalities
 required by openais. The project implements cutting edge research
 on virtual synchrony to provide 100% correct operation in the face of
 failures or partitionable networks with excellent performance
 characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package exists for historical reasons to assure a smooth upgrade
 from further versions to the libcorosync-common-dev package.

Package: libcorosync4
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, libcfg6, libcmap4, libcorosync-common4, libcpg4, libquorum5, libsam4, libtotem-pg5, libvotequorum7
Conflicts: libopenais2 (<< 0.85)
Description: Standards-based cluster framework (transitional package)
 The corosync project is a project to implement a production quality
 "Revised BSD" licensed implementation of all core functionalities
 required by openais. The project implements cutting edge research
 on virtual synchrony to provide 100% correct operation in the face of
 failures or partitionable networks with excellent performance
 characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package used to contain the Corosync libraries and remains as a
 transitional package to pull the real libraries in.

Package: libcorosync-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, libcfg-dev, libcmap-dev, libcorosync-common-dev, libcpg-dev, libquorum-dev, libsam-dev, libtotem-pg-dev, libvotequorum-dev
Conflicts: libopenais-dev (<< 0.85), libopenais-legacy-dev (<< 1.0.0)
Description: Standards-based cluster framework (transitional package)
 The corosync project is a project to implement a production quality
 "Revised BSD" licensed implementation of all core functionalities
 required by openais. The project implements cutting edge research
 on virtual synchrony to provide 100% correct operation in the face of
 failures or partitionable networks with excellent performance
 characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package used to contain the Corosync development files and 
 remains as a transitional package to pull the real files in.

Package: libcfg6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Conflicts: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Description: Standards-based cluster framework, Cfg library
 Corosync is a project to implement a production quality "Revised BSD" 
 licensed implementation of all core functionalities required by openais. 
 The project implements cutting edge research on virtual synchrony to 
 provide 100% correct operation in the face of failures or partitionable
 networks with excellent performance characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package contains the Cfg library, which is a library included in
 Corosync.

Package: libcmap4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Conflicts: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Description: Standards-based cluster framework, Cmap library
 Corosync is a project to implement a production quality "Revised BSD" 
 licensed implementation of all core functionalities required by openais. 
 The project implements cutting edge research on virtual synchrony to 
 provide 100% correct operation in the face of failures or partitionable
 networks with excellent performance characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package contains the Cmap library, which is a library included 
 in Corosync.

Package: libcorosync-common4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Conflicts: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Description: Standards-based cluster framework, common library
 Corosync is a project to implement a production quality "Revised BSD"
 licensed implementation of all core functionalities required by openais.
 The project implements cutting edge research on virtual synchrony to
 provide 100% correct operation in the face of failures or partitionable
 networks with excellent performance characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package contains the common corosync library, which is a library 
 included in Corosync.

Package: libcpg4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Conflicts: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Description: Standards-based cluster framework, Cpg library
 Corosync is a project to implement a production quality "Revised BSD"
 licensed implementation of all core functionalities required by openais.
 The project implements cutting edge research on virtual synchrony to
 provide 100% correct operation in the face of failures or partitionable
 networks with excellent performance characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package contains the Cpg library, which is a library included
 in Corosync.

Package: libquorum5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Conflicts: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Description: Standards-based cluster framework, Quorum library
 Corosync is a project to implement a production quality "Revised BSD"
 licensed implementation of all core functionalities required by openais.
 The project implements cutting edge research on virtual synchrony to
 provide 100% correct operation in the face of failures or partitionable
 networks with excellent performance characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package contains the Quorum library, which is a library included
 in Corosync.

Package: libsam4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Conflicts: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Description: Standards-based cluster framework, Sam library
 Corosync is a project to implement a production quality "Revised BSD"
 licensed implementation of all core functionalities required by openais.
 The project implements cutting edge research on virtual synchrony to
 provide 100% correct operation in the face of failures or partitionable
 networks with excellent performance characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
 This package contains the Sam library, which is a library included
 in Corosync.

Package: libtotem-pg5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Conflicts: libcorosync4 (<= 1.4.2-1), corosync (<< 1.99.9-1), corosync-dev (<< 1.99.9-1)
Description: Standards-based cluster framework, Totem library
 Corosync is a project to implement a production quality "Revised BSD"
 licensed implementation of all core functionalities required by openais.
 The project implements cutting edge research on virtual synchrony to
 provide 100% correct operation in the face of failures or partitionable
 networks with excellent performance characteristics.
 .
 The Application Interface Specification is a software API and policies
 which are used to develop applications that maintain service during
 faults.
 .
