=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
 http://build.clusterlabs.org/corosync/releases/corosync-(\d.*)\.tar\.gz
