## corosync 2.3.5

=== debian/changelog ===
corosync (2.3.5-3ubuntu2.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-1084-*.patch: check length of the packet
      in exec/totemcrypto.c.
    - CVE-2018-1084

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 30 May 2019 09:36:25 -0300

corosync (2.3.5-3ubuntu2.1) xenial; urgency=high

  * Properly restart corosync and pacemaker together (LP: #1740892)
    - d/rules: pass --restart-after-upgrade to dh_installinit
    - d/control: indicate this version breaks all older pacemaker, to
      force an upgrade of pacemaker.
    - d/corosync.postinst: if flagged to do so by pacemaker, start
      pacemaker on upgrade.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 19 Feb 2018 09:28:34 -0500

corosync (2.3.5-3ubuntu2) xenial; urgency=medium

  * d/p/Parser-Make-config-file-parser-more-hierarchy.patch: Fixes how
    corosync parses a config file with malformed entries (LP: #1739033).

 -- Victor Tapia <victor.tapia@canonical.com>  Wed, 20 Dec 2017 12:37:52 +0100

corosync (2.3.5-3ubuntu1) xenial; urgency=high

  * debian/patches/Totempg-Fix-memory-leak.patch: Fixes memory leak on 
    Totempg. (LP: #1563089).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Fri, 01 Apr 2016 15:52:13 +0200

corosync (2.3.5-3) unstable; urgency=medium

  * [e64ff08] Really add arm64 support (Closes: #753289)
  * [5e60e11] Enable the monitoring service on Linux architectures
  * [9b635d5] Make libtotem-pg-dev usable by shipping corosync/list.h

 -- Ferenc Wágner <wferi@niif.hu>  Thu, 22 Oct 2015 15:01:59 +0200

corosync (2.3.5-2) unstable; urgency=medium

  * [e66dda1] Make sure environment variables are propagated by the init script
  * [638b690] Mention the significance of cluster_name when creating shared LVM
    VGs
  * [48d88e3] Generalization may be acceptable for upstream, Debianization is
    not
  * [cd6437f] New patch Send-corosync-startup-notification-to-systemd.patch
  * [f4da902] New patch Make-systemd-stop-and-restart-corosync-notifyd-if-
    co.patch
  * [1504fb9] New patch Send-corosync-notifyd-startup-notification-to-
    system.patch
  * [837ec3e] New patch Use-debian-changelog-timestamp-for-the-build-time-
    of.patch
    (Closes: #800662, #800663)
  * [c96145c] libcorosync-common-dev takes over files from old corosync-dev
    (Closes: #800923)
  * [24f4fe9] New patch cmap_track_add.3.in-fix-typo-bellow-below.patch
  * [ef858f3] Only Linux supports RDMA, let's omit it on other architectures
  * [70989fd] Simplify debian/rules by providing .pc files for rdmacm and
    ibverbs

 -- Ferenc Wágner <wferi@niif.hu>  Fri, 16 Oct 2015 14:19:19 +0200

corosync (2.3.5-1) unstable; urgency=medium

  [ Richard B Winters ]
  * [9f5bb05] Bump Standards-Version (no changes needed)
  * [6bc58b5] Fold package relationship control fields
  * [1b27764] Add myself to Uploaders
  * [98350b5] Add Homepage control field
  * [eaf2c8b] Update Vcs-Git and Vcs-Browser control fields
  * [0fa78d2] Use the dh command sequencer with autoreconf and systemd support
    (Closes: #753289)
  * [3880949] Updated to watch new upstream release location
  * [635e2a4] libvotequorum SOVERSION incremented to 7
  * [dff0476] Remove unnecessary Section field of the corosync binary package
  * [7105b15] Different short descriptions for the transitional packages
  * [272def5] Added several patches for fixing manual issues
  * [54ac965] Added respective binary dependency for each dev package
  * [dd3a503] Added accurate symbols from snapshot.debian.org
  * [60dc392] Added accurate symbols for libcorosync-common4 from snapshot.d.o
  * [f7a768d] Add patch to remove deprecated Doxygen flags

  [ Ferenc Wágner ]
  * [6e2624b] Update debian/copyright and make it machine-readable
  * [ec41127] Add corosync-doc package for the HTML documentation
  * [b88593b] Patch systemd service file to call corosync directly
  * [ea1fd76] Enabling SNMP support was ineffective without libsnmp-dev
  * [8fff368] The QB_IPC_NATIVE enum value was introduced in libqb 0.12
  * [6b5bef8] We do not need the upstream SysV init scripts
  * [689e23d] Install documentation files generically
  * [8712256] Include the component overview man pages plus two supplemental
    ones
  * [69df3f6] Add myself to Uploaders
  * [906d4ca] The --with-socket-dir configure option was removed in version
    1.99.8
  * [a6d808a] Convert package to multiarch
  * [08705ce] ${shlibs:Depends} does not apply for the debug package
  * [aa9730a] Do not build and ship static libraries
  * [6e3e0c8] Remove unnecessary arguments from dh_installinit calls
  * [a65fdd6] Current libtool does not employ RPATH
  * [52462e1] Move all HTML documentation into corosync-doc
  * [7f52a09] Drop very old Conflicts declarations
  * [6a373d0] Weed out unnecessary Conflicts, turn the rest into Breaks
  * [b981e3b] librdmacm-dev and libibverbs-dev lack pkg-config support
  * [8b578b0] Freshen package descriptions
  * [bc43e9b] All -dev packages depend on libcorosync-common-dev headers
  * [7daa765] Simplify installation of the Debian config file
  * [a1d375f] Wildcard the manual page installations in the -dev packages
  * [b528342] Add LSB Description to the Debian init scripts (for Lintian)
  * [94776ba] Add Build-Depends-Package meta fields to the symbols files
  * [5439cc8] README.source is not needed anymore, 3.0 (quilt) is our format
  * [ebc6aa6] Disable functionality related to the Cluster Test System
  * [aafb17c] Check in gbp.conf for DEP-14 layout
  * [6d7057a] Add author and subject info to the new patch files
  * [885c3a4] Run patches through gbp pq (format changes and renames only)
  * [d7b8376] Refresh patches
  * [733e0c0] We don't need the ais user anymore (Closes: #577965)
  * [02d8e13] New patch Doxygen-fix-for-cmap_iter_next.patch
  * [c1f95b4] New patch Close-Doxygen-group-in-include-corosync-cmap.h.patch
  * [514cc47] New patch corosync-notifyd.8-show-correct-option-letter-in-
    DBu.patch

