=== debian/control ===
Source: corosync
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>,
 Guido Günther <agx@sigxcpu.org>,
 Richard B Winters <rik@mmogp.com>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Ferenc Wágner <wferi@niif.hu>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
 dctrl-tools,
 dh-autoreconf,
 dh-systemd,
 doxygen,
 graphviz,
 groff,
 libdbus-1-dev,
 libnss3-dev,
 libqb-dev (>= 0.12),
 librdmacm-dev [linux-any],
 libsnmp-dev,
 libstatgrab-dev [linux-any],
 libsystemd-dev,
 libxml2-dev,
 pkg-config,
 zlib1g-dev
Homepage: http://corosync.github.io/corosync/
Vcs-Git: git://anonscm.debian.org/debian-ha/corosync.git -b debian/master
Vcs-Browser: http://anonscm.debian.org/cgit/debian-ha/corosync.git/

Package: corosync
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 lsb-base (>= 3.0-6),
 adduser,
 xsltproc
Breaks: pacemaker (<< 1.1.14-2ubuntu1.4)
Description: cluster engine daemon and utilities
 ${DESCRIPTION}
 This package contains the Corosync daemon and some administration tools.

Package: corosync-notifyd
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 corosync,
 lsb-base (>= 3.0-6)
Recommends: dbus
# corosync-notifyd was split out of corosync
Breaks: corosync (<< 2.3.5-1~)
Replaces: corosync (<< 2.3.5-1~)
Description: cluster engine notification daemon
 ${DESCRIPTION}
 This package contains the DBus/SNMP notification daemon for Corosync events.

Package: corosync-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 corosync (= ${binary:Version}),
 corosync-notifyd (= ${binary:Version}),
 libcfg6 (= ${binary:Version}),
 libcmap4 (= ${binary:Version}),
 libcorosync-common4 (= ${binary:Version}),
 libcpg4 (= ${binary:Version}),
 libquorum5 (= ${binary:Version}),
 libsam4 (= ${binary:Version}),
 libtotem-pg5 (= ${binary:Version}),
 libvotequorum7 (= ${binary:Version})
Description: cluster engine debugging symbols
 ${DESCRIPTION}
 This package contains debug information for the Corosync daemons, utilities
 and libraries.

Package: corosync-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: w3m | www-browser
Description: cluster engine HTML documentation
 ${DESCRIPTION}
 This package contains the Corosync HTML manuals and the API documentation
 generated by Doxygen.

Package: corosync-dev
Section: oldlibs 
Priority: extra
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 libcorosync-common-dev (>= ${source:Version})
# to avoid not-binnmuable-all-depends-any Lintian error
Description: cluster engine generic development (transitional package)
 ${DESCRIPTION}
 This package exists for historical reasons to assure a smooth upgrade
 from older versions to the libcorosync-common-dev package.

Package: libcfg6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine CFG library
 ${DESCRIPTION}
 This package contains the CFG library.

Package: libcmap4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine CMAP library
 ${DESCRIPTION}
 This package contains the Configuration Map library.

Package: libcorosync-common4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine common library
 ${DESCRIPTION}
 This package contains the Corosync common library.

Package: libcpg4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine CPG library
 ${DESCRIPTION}
 This package contains the Closed Process Group library.

Package: libquorum5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine Quorum library
 ${DESCRIPTION}
 This package contains the Quorum library.

Package: libsam4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine SAM library
 ${DESCRIPTION}
 This package contains the Simple Availability Manager library.

Package: libtotem-pg5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine Totem library
 ${DESCRIPTION}
 This package contains the Totem library.

Package: libvotequorum7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine Votequorum library
 ${DESCRIPTION}
 This package contains the Votequorum library.

Package: libcfg-dev
Section: libdevel 
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libcfg6 (= ${binary:Version})
Description: cluster engine CFG library development
 ${DESCRIPTION}
 This package contains the headers and other necessary files to build
 applications or libraries that use the CFG library.

Package: libcmap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libcmap4 (= ${binary:Version})
Description: cluster engine CMAP library development
 ${DESCRIPTION}
 This package contains the headers and other necessary files to build
 applications or libraries that use the Configuration Map library.

Package: libcorosync-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libqb-dev,
 libcorosync-common4 (= ${binary:Version})
# Moved from corosync-dev: /usr/include/corosync/corodefs.h
Replaces: corosync-dev (<< 1.99.9-1)
Breaks: corosync-dev (<< 1.99.9-1)
Description: cluster engine common development
 ${DESCRIPTION}
 This package contains the headers and other necessary files to build
 applications or libraries that use the Corosync libraries.

Package: libcpg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libcpg4 (= ${binary:Version})
# Moved from corosync: /usr/share/man/man8/cpg_overview.8.gz
#        corosync-dev: /usr/share/man/man3/cpg_join.3.gz etc.
Replaces:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Breaks:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Description: cluster engine CPG library development
 ${DESCRIPTION}
 This package contains the headers and other necessary files to build
 applications or libraries that use the Closed Process Group library.

Package: libquorum-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libquorum5 (= ${binary:Version})
Description: cluster engine Quorum library development
 ${DESCRIPTION}
 This package contains the headers and other necessary files to build
 applications or libraries that use the Quorum library.

Package: libsam-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libsam4 (= ${binary:Version})
# Moved from corosync: /usr/share/man/man8/sam_overview.8.gz
#        corosync-dev: /usr/share/man/man3/sam_stop.3.gz etc.
Replaces:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Breaks:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Description: cluster engine SAM library development
 ${DESCRIPTION}
 This package contains the headers and other necessary files to build
 applications or libraries that use the Simple Availability Manager library.

Package: libtotem-pg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libtotem-pg5 (= ${binary:Version})
Description: cluster engine Totem library development
 ${DESCRIPTION}
 This package contains the headers and other necessary files to build
 applications or libraries that use the Totem library.

Package: libvotequorum-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libvotequorum7 (= ${binary:Version})
# Moved from corosync: /usr/share/man/man8/votequorum_overview.8.gz
#        corosync-dev: /usr/share/man/man3/votequorum_fd_get.3.gz etc.
Replaces:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Breaks:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Description: cluster engine Votequorum library development
 ${DESCRIPTION}
 This package contains the headers and other necessary files to build
 applications or libraries that use the Votequorum library.
