## corosync 2.3.6

=== debian/changelog ===
corosync (2.3.6-3) unstable; urgency=medium

  * [b6c5f14] New patch config-get_cluster_mcast_addr-error-is-not-fatal.patch.
    Thanks to Jan Friesse (Closes: #833357)
  * [6227a90] Migrate from backported corosync-dbg versions as well

 -- Ferenc Wágner <wferi@niif.hu>  Wed, 03 Aug 2016 22:52:55 +0200

corosync (2.3.6-2) unstable; urgency=medium

  * [f8af53c] Ship /etc/corosync/uidgid.d in the corosync package
  * [1edb5d0] Depend on /var/lib/corosync being created by make install
  * [32635c4] The package name is superfluous in the debian release tag titles

 -- Ferenc Wágner <wferi@niif.hu>  Thu, 23 Jun 2016 13:17:16 +0200

corosync (2.3.6-1) unstable; urgency=medium

  * [8dcedaa] Update the path in the jQuery Lintian override
  * [cd4ea8d] New upstream release (2.3.6)
  * [5c47852] Delete upstreamed patches, refresh the rest

 -- Ferenc Wágner <wferi@niif.hu>  Fri, 17 Jun 2016 09:36:28 +0200

corosync (2.3.5-9) unstable; urgency=medium

  * [c10f9b2] Declare the file conflicts resulting from moving the HTML docs
    (Closes: #826586)

 -- Ferenc Wágner <wferi@niif.hu>  Wed, 08 Jun 2016 17:01:04 +0200

corosync (2.3.5-8) unstable; urgency=medium

  * [b4dfaf1] Move documentation into /usr/share/doc/pacemaker
  * [3820f48] Register the HTML manual pages with doc-base
  * [bf8dd12] New patch totempg-Fix-memory-leak.patch (Closes: #826126)

 -- Ferenc Wágner <wferi@niif.hu>  Sat, 04 Jun 2016 14:38:31 +0200

corosync (2.3.5-7) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [f454b6a] d/tests/control: add isolation-container restriction

  [ Ferenc Wágner ]
  * [6e19154] Sense watchdog and systemd support by header file presence
  * [e09b661] Build-Depend on libsystemd-dev under Linux only
  * [8b513f8] Exclude time zone variations breaking reproducibility
  * [1dbaab0] Migrate to automatic debug packages
  * [679b6e1] Separate arch and indep builds
  * [6a5133a] Explicitly delete the unwanted .md5 files created by Doxygen
  * [3e0c9de] Avoid useless dependencies
  * [7133c51] Enable parallel builds
  * [60b37aa] Attach bug numbers to the libstatgrab dependency condition
  * [5ba48da] Use secure protocol in the VCS URIs
  * [0eb18eb] Add author info to the last two patches, which were added via
    quilt
  * [752ecd3] Add new patches fixing typos
  * [0314361] New patch Add-Documentation-URIs-to-the-systemd-service-
    files.patch
  * [f963a3d] New patches fixing various typos

 -- Ferenc Wágner <wferi@niif.hu>  Wed, 18 May 2016 23:19:04 +0200

corosync (2.3.5-6) unstable; urgency=medium

  * Fix hurd-i386 build by defining PATH_MAX and PIPE_BUF in configure.ac.
    Patch by Svante Signell, thanks! (Closes: #823826)

 -- Christoph Berg <myon@debian.org>  Mon, 09 May 2016 22:45:00 +0200

corosync (2.3.5-5) unstable; urgency=medium

  [ Christoph Berg ]
  * Disable watchdog and systemd on non-linux architectures.
    (Closes: #765365, #815306)

  [ Adrian Vondendriesch ]
  * Import upstream patch to make watchdog support configurable.

 -- Christoph Berg <myon@debian.org>  Thu, 05 May 2016 14:51:43 +0200

corosync (2.3.5-4) unstable; urgency=medium

  * debian/tests: Add simple smoke test using corosync-cfgtool and
    corosync-quorumtool.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 18 Mar 2016 11:25:03 +0100
