=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>,
  Richard B Winters <rik@mmogp.com>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
- Ferenc Wágner <wferi@niif.hu>
+ Ferenc Wágner <wferi@debian.org>,
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
  dctrl-tools,
@@ -39,6 +39,7 @@
  lsb-base (>= 3.0-6),
  adduser,
  xsltproc
+Breaks: pacemaker (<< 1.1.16-1ubuntu2)
 Description: cluster engine daemon and utilities
  ${DESCRIPTION}
  This package contains the Corosync daemon and some administration tools.
@@ -56,6 +57,30 @@
 Description: cluster engine notification daemon
  ${DESCRIPTION}
  This package contains the DBus/SNMP notification daemon for Corosync events.
+
+Package: corosync-qdevice
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ corosync (= ${binary:Version}),
+ libnss3-tools,
+Description: cluster engine quorum device daemon
+ ${DESCRIPTION}
+ This package contains the quorum device daemon and utilities.
+
+Package: corosync-qnetd
+Architecture: any
+Depends:
+ adduser,
+ libnss3-tools,
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: cluster engine quorum device network daemon
+ ${DESCRIPTION}
+ This package contains the quorum device network daemon running outside
+ of clusters with the purpose of providing votes to the corosync-qdevice
+ model "net", and some utilities for it.
 
 Package: corosync-doc
 Section: doc
@@ -161,7 +186,7 @@
  ${DESCRIPTION}
  This package contains the Totem library.
 
-Package: libvotequorum7
+Package: libvotequorum8
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -282,7 +307,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  ${header:Depends},
- libvotequorum7 (= ${binary:Version})
+ libvotequorum8 (= ${binary:Version})
 # Moved from corosync: /usr/share/man/man8/votequorum_overview.8.gz
 #        corosync-dev: /usr/share/man/man3/votequorum_fd_get.3.gz etc.
 Replaces:
