=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	    --with-configdir=/etc/default \
 	    --with-logdir=/var/log/corosync \
+	    --with-tmpfilesdir=/usr/lib/tmpfiles.d \
 	    --enable-dbus \
 	    $(enable-rdma) \
 	    $(enable-monitoring) \
@@ -50,6 +52,7 @@
 	    $(enable-systemd) \
 	    --enable-upstart \
 	    --enable-qdevices \
+	    --enable-qnetd \
 	    --disable-static
 
 override_dh_auto_build-indep:
@@ -69,6 +72,8 @@
 # we don't need the upstream SysV init scripts and license
 	rm debian/tmp/$(initscript-dir)/corosync \
 	   debian/tmp/$(initscript-dir)/corosync-notifyd \
+	   debian/tmp/$(initscript-dir)/corosync-qdevice \
+	   debian/tmp/$(initscript-dir)/corosync-qnetd \
 	   debian/tmp/usr/share/doc/corosync/LICENSE
 
 override_dh_install:
@@ -76,6 +81,13 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
+
+override_dh_installinit:
+	dh_installinit --restart-after-upgrade
+
+override_dh_systemd_enable:
+	dh_systemd_enable -p corosync-qdevice --no-enable
+	dh_systemd_enable --remaining-packages
 
 override_dh_strip:
 	dh_strip --dbgsym-migration=corosync-dbg
