## corosync 2.4.3

=== debian/changelog ===
corosync (2.4.3-0ubuntu1.3) bionic; urgency=medium

  [ Miriam España Acebal ]
  * d/libtotem-pg5.symbols: add a postfixed missing symbol,
    crypto_get_current_sec_header_size.

  [ Jorge Niedbalski ]
  * d/control: corosync binary depends on libqb-dev.
    (LP: #1677684)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Tue, 28 Sep 2021 20:00:07 +0200

corosync (2.4.3-0ubuntu1.2) bionic; urgency=medium

  * d/p/lp1911904-Don-t-lock-all-current-and-future-memory-if-can-t-in.patch:
    - Don't mlockall() if setrlimit() fails (LP: #1911904)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 10 Mar 2021 13:00:12 -0500

corosync (2.4.3-0ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-1084-*.patch: check length of the packet
      in exec/totemcrypto.c, qdevices/msgio.c.
    - CVE-2018-1084

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 30 May 2019 08:30:09 -0300

corosync (2.4.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (2.4.3)
    - Drop upstreamed patches and refresh others.
    - LP: #1763085

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 11 Apr 2018 09:14:52 -0700

corosync (2.4.2-3ubuntu1) bionic; urgency=medium

  * Properly restart corosync and pacemaker together (LP: #1740892)
    - d/rules: pass --restart-after-upgrade to dh_installinit
    - d/control: indicate this version breaks all older pacemaker, to
      force an upgrade of pacemaker.
    - d/corosync.postinst: if flagged to do so by pacemaker, start
      pacemaker on upgrade.
      + This can be dropped after bionic releases as long as the other
        changes are maintained.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 30 Jan 2018 16:40:31 -0800
