=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: corosync
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
  Richard B Winters <rik@mmogp.com>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
@@ -38,8 +39,10 @@
  ${misc:Depends},
  lsb-base (>= 3.0-6),
  adduser,
- xsltproc
-Breaks: pacemaker (<< 1.1.16-1ubuntu2)
+ xsltproc,
+# corosync-blackbox: qb-blackbox dependency (LP: #1677684)
+ libqb-dev
+Breaks: pacemaker (<< 1.1.18~rc4-1ubuntu1)
 Description: cluster engine daemon and utilities
  ${DESCRIPTION}
  This package contains the Corosync daemon and some administration tools.
